org.apache.maven.shared.repository

## Interface RepositoryAssembler

All Known Implementing Classes:
  DefaultRepositoryAssembler

    public interface RepositoryAssembler

Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `buildRemoteRepository(File repositoryDirectory, RepositoryInfo repository, RepositoryBuilderConfigSource configSource)`

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### buildRemoteRepository

    void buildRemoteRepository(File repositoryDirectory,
                               RepositoryInfo repository,
                               RepositoryBuilderConfigSource configSource)
                        throws RepositoryAssemblyException

Throws:
  `RepositoryAssemblyException`